return {
    data: function () {
        return {
            examlist:[],
            apptoken:'',
            HasCoursePower:false
        }
    },
    methods: {
        getList: function () {
            var that = this;
            if(that.$route.query.costype=='3'){
                GetUserSpecialDetail({
                    courseid:that.$route.params.id,
                    apptoken:that.apptoken
                }).then(function(res) {
                    if(res.result){
                        that.examlist = res.data.paper_list
                    }else{
                        that.examlist = []
                    }
                })
            }else{
                GetPaper({
                    courseid:that.$route.params.id,
                    apptoken:that.apptoken
                }).then(function(res) {
                    if(res.result){
                        that.HasCoursePower = res.HasCoursePower
                        that.examlist = res.Paperlist
                    }else{
                        that.examlist = []
                    }
                })
    
            }
            
            
        },
        open:function(name) {
            this.$router.push({
                name:name,
                query:{
                    costype:this.$route.query.costype
                }
            })
        }
    },
    created: function () {
        var that = this;
        that.$store.ready(function(state) {
            that.apptoken = state.appToken
            that.getList()
        })
        
    }
}